(* DONT_TOUCH = "TRUE" *)
module Noncascade_bram(input clk, rst, dut_start, dut_enable, output pass);

parameter NUM = 40;

wire [NUM-1:0] pass_j;

   genvar k;
   generate
      for (k = 0; k < NUM; k= k+1) begin:gen_dut1
           bram_top_noncascade #(.ID(k)) bram_top_noncascade(
   		 .clk         (clk),
   		 .rst         (rst),
   		 .dut_start   (dut_start),
   		 .dut_enable  (dut_enable),
   		 .pass        (pass_j[k])
   		 );
      end
   endgenerate

   assign pass = &pass_j;

endmodule 

//<copyright-disclaimer-start>
//<copyright-disclaimer-start>
//  **************************************************************************************************************
//  * © 2025 Advanced Micro Devices, Inc. All rights reserved.                                                   *
//  * DISCLAIMER                                                                                                 *
//  * The information contained herein is for informational purposes only, and is subject to change              *
//  * without notice. While every precaution has been taken in the preparation of this document, it              *
//  * may contain technical inaccuracies, omissions and typographical errors, and AMD is under no                *
//  * obligation to update or otherwise correct this information.  Advanced Micro Devices, Inc. makes            *
//  * no representations or warranties with respect to the accuracy or completeness of the contents of           *
//  * this document, and assumes no liability of any kind, including the implied warranties of noninfringement,  *
//  * merchantability or fitness for particular purposes, with respect to the operation or use of AMD            *
//  * hardware, software or other products described herein.  No license, including implied or                   *
//  * arising by estoppel, to any intellectual property rights is granted by this document.  Terms and           *
//  * limitations applicable to the purchase or use of AMD’s products are as set forth in a signed agreement     *
//  * between the parties or in AMD's Standard Terms and Conditions of Sale. GD-18                               *
//  *                                                                                                            *
//  **************************************************************************************************************
//<copyright-disclaimer-end>
//<copyright-disclaimer-end>
//<copyright-disclaimer-end>
//<copyright-disclaimer-end>
